from sys import setrecursionlimit
import threading
setrecursionlimit(10 ** 9)
threading.stack_size(67108864)

def lunar_sum(a_=[], b_=[]):
    result = []

    for i in range(len(a_)):
        result.append(max(a_[i], b_[i]))

    return "".join(result)

def lunar_mno(a_=[], b_=[], gl_len=3):
    result = []

    for i in range(gl_len):
        result.append(min(a_[i], b_[i]))

    return "".join(result)

def worked_mno(a, b):
    num1, num2 = str(a), str(b)

    max_len = max(len(num1), len(num2))

    num1 = num1.zfill(max_len)
    num2 = num2.zfill(max_len)

    result = ''.join(str(int(d1) * int(d2)) for d1, d2 in zip(num1, num2))


def wektor_mno(a_, b_, gl_len=3):
    num = 0
    gl = []
    for i in range(gl_len):
        rs = []
        num += 1

        for i in range(gl_len):
            rs.append(min(b_[gl_len - num], a_[i]))

        gl.append(rs)

    gl1 = gl[0]
    gl2 = gl[1]
    gl3 = gl[2]
    gl2.append('0')
    gl2 = ['0'] + gl2
    for i in range(2):
        gl3.append('0')
    result2 = []
    result3 = []
    result4 = []

    for i in range(len(gl1)):
        result2.append(max(gl1[i], gl2[i + 2]))

    for i in range(len(gl2) - 1):
        result3.append(max(gl2[i + 1], gl3[i + 1]))

    for i in range(len(gl3)):
        result4.append(max(gl3[i], gl2[i]))

def main():
    """n = int(input('[N]>'))
    r = 0
    for i in range(n):
        # a1, a2, a3, a4, a5, a6 = map(int, input(f'[{i}][A]').split())
        ls = input(f'[{i}][A]').split()
    print(ls)"""

    a = input('[A1]>')
    b = input('[B2]>')
    a_ = []
    b_ = []

    for i in a:
        a_.append(i)
    for i in b:
        b_.append(i)

    rs1 = lunar_sum(a_, b_)
    #worked_mno(int(a), int(b))
    print(rs1)
 
thread = threading.Thread(target=main)
thread.start()