from sys import setrecursionlimit
import threading
setrecursionlimit(10 ** 9)
threading.stack_size(67108864)
 
def additional(a, b):
    a, b = str(a), str(b)

    max_length = max(len(a), len(b))

    a, b = a.zfill(max_length), b.zfill(max_length)

    result = ''.join(str(max(int(x), int(y))) for x, y in zip(a, b))

    return result

def multi(a, b):
    a, b = str(a), str(b)

    max_length = max(len(a), len(b))

    a, b = a.zfill(max_length), b.zfill(max_length)

    result = "0"

    for i in range(len(b)):
        temp = []
        for j in range(len(a)):
            temp.append(str(min(int(a[j]), int(b[i]))))

        temp = ''.join(temp) + "0" * (len(b) - i - 1)

        result = additional(result, temp)

    return int(result)


a = int(input())
b = int(input())

lunar_sum = additional(a, b)
lunar_pro = multi(a, b)

print(f"{lunar_sum} {lunar_pro}")